import request from '@/utils/request';

// 查询销售结果分析列表
export function listSalesResultAnalyze(query) {
  return request({
    url: '/customer/salesresultanalyze/list',
    method: 'get',
    params: query
  });
}

// 获取销售结果分析详细信息
export function getSalesResultAnalyze(id) {
  return request({
    url: '/customer/salesresultanalyze/' + id,
    method: 'get'
  });
}

// 根据对象编号获取销售结果分析
export function getSalesResultAnalyzeByObjectNo(objectNo) {
  return request({
    url: '/customer/salesresultanalyze/objectNo/' + objectNo,
    method: 'get'
  });
}

// 新增销售结果分析
export function addSalesResultAnalyze(data) {
  return request({
    url: '/customer/salesresultanalyze',
    method: 'post',
    data: data
  });
}

// 修改销售结果分析
export function updateSalesResultAnalyze(data) {
  return request({
    url: '/customer/salesresultanalyze',
    method: 'put',
    data: data
  });
}

// 删除销售结果分析
export function delSalesResultAnalyze(id) {
  return request({
    url: '/customer/salesresultanalyze/' + id,
    method: 'delete'
  });
}
